Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.TimeNotGranted Property
DatabaseEnvironment Class See Also Send Feedback

If true, database calls timing out based on lock or transaction timeout values will throw LockNotGrantedException instead of DeadlockException.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.21.0

# Syntax

C#
    public bool TimeNotGranted { get; set; }

Visual Basic (Declaration)
    Public Property TimeNotGranted As Boolean

Visual C++
    public:
    property bool TimeNotGranted {
    	bool get ();
    	void set (bool value);
    }

# Remarks

If true, this allows applications to distinguish between operations which have deadlocked and operations which have exceeded their time limits.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace